Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.dfs
Class FTPWorkerThread

    java.lang.Object
      java.lang.Thread
          com.knowgate.dfs.FTPWorkerThread

All Implemented Interfaces:
  java.lang.Runnable

    public class FTPWorkerThread

extends java.lang.Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`FTPWorkerThread(java.lang.String sHost, java.lang.String sUser, java.lang.String sPassword)`

Method Summary
`void` | `chdir(java.lang.String sPath)`
`void` | `connect(java.io.PipedInputStream oStrm)`
`void` | `connect(java.io.PipedOutputStream oStrm)`
`void` | `get(java.lang.String sFile)`
`java.io.PipedInputStream` | `getInputPipe()`
`java.io.PipedOutputStream` | `getOutputPipe()`
`void` | `move(java.lang.String sFile)`
`void` | `put(java.lang.String sFile)`
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FTPWorkerThread

    public FTPWorkerThread(java.lang.String sHost,
                           java.lang.String sUser,
                           java.lang.String sPassword)
                    throws com.enterprisedt.net.ftp.FTPException,
                           java.io.IOException

Throws:
  `com.enterprisedt.net.ftp.FTPException`
  `java.io.IOException`

Method Detail

### getInputPipe

    public java.io.PipedInputStream getInputPipe()
                                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### getOutputPipe

    public java.io.PipedOutputStream getOutputPipe()
                                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### get

    public void get(java.lang.String sFile)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### put

    public void put(java.lang.String sFile)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### move

    public void move(java.lang.String sFile)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### connect

    public void connect(java.io.PipedInputStream oStrm)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### connect

    public void connect(java.io.PipedOutputStream oStrm)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### chdir

    public void chdir(java.lang.String sPath)
               throws com.enterprisedt.net.ftp.FTPException,
                      java.io.IOException

  Throws:
    `com.enterprisedt.net.ftp.FTPException`
    `java.io.IOException`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD